# Note that this is NOT a relocatable package
%define ver      1.0.2
%define rel      6
%define prefix   /usr

Summary: Objective C libraries for the GNOME desktop environment.
Name: gnome-objc
Version: %ver
Release: %rel
Copyright: LGPL
Group: Development/Languages
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-objc/gnome-objc-%{ver}.tar.gz
BuildRoot: /var/tmp/gnome-objc-%{PACKAGE_VERSION}-root
Requires: gnome-libs >= 1.0.12
URL: http://www.gnome.org/
Docdir: %{prefix}/doc

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-objc package installs basic
libraries you must have to use GNOME programs that are built with
Objective C.

If you're installing GNOME, you'll need to install gnome-objc.

%package devel
Summary: Files needed to develop Objective C GNOME applications.
Group: Development/Libraries
Requires: gnome-objc

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. Libraries, include files and
other files you can use to develop Objective C GNOME applications.

If you're developing applications for GNOME, you should install this
package.

%changelog
* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to get new description

* Fri Apr 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2, added patch to not add /usr/lib or /lib to ld.so.conf

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize and fix source line

* Wed Feb 17 1999 Michael Fulbright <drmike@redhat.com>
- file listing updated

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-objc source tree

%prep
%setup

%build
export OBJC=egcs

CFLAGS="$RPM_OPT_FLAGS" %configure
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  if [ "%{prefix}" != "/usr" -a "%{prefix}" -a "%{prefix}" != "/" ]; then
    echo "%{prefix}/lib" >> /etc/ld.so.conf
  fi
fi
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/lib*.so.*
%{prefix}/share/locale/*/*/*

%files devel
%defattr(-, root, root)

%{prefix}/bin/obgnome-config
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/include/*
